Introduction

 Top Next

DevShare 'Event' :

These help notes are specifically designed to go 'hand in glove' with the DVD prepared for the DevShare learning event which took place in Shrewton, Wiltshire, England, on may 28th.-30th. 2009

In fact we had six international attendees by the time we started the event, including Robert van der Hulst, Chris Pyrgas, Dieter Crispien, Peter Guetens, Dan Logan, and Tim Shea.

There is a committed Vulcan scholar - Tim, coming from Australia only to attend and learn at the 'event'. It would appear that he found it worthwhile.

PHH - June 2009.


What, Who, Where & Why

 Top Previous Next

In case anyone reading this (and there could be quite a few) did not attend the 'event', I will take a few moments to explain what it was, how it worked, and why it was staged in the first place.

Global Background :

By "someone's" bad planning, the global financial crisis came at a time which made the usual DevFest conference a non-starter. Unfortunately, this was also the time when more exciting things were happening on the Vulcan.NET scene that ever. So it was NOT a time for many committed people in VO and Vulcan to have things go 'soggy' for us.

Solution :

The simple answer was to have a VERY low budget 'get together' where anyone could basically attend if they could physically get themselves to the 'event' hall. Some promised sponsorship funding from appreciative companies in Cardiff, Wales, covered the DevShare expenses.

A big part of the solution was that all attendees were to contribute anything they had to offer, and be quite prepared to help others in need of support and guidance. As well as more formal presentation sessions, the 'event' was to offer new guys to VN a small group facility - where attendees interact with someone carrying out tasks at the keyboard, see what to do, and ask questions. This is known in business training as "sitting with Nellie", and can be re-worded as watching someone with previous working experience.

It must be said that John Parker gave freely of his experiences from running DevFest conferences, and we tried to put into play what he advised. Many thanks JP, pity we could not enjoy your company for longer, and we were sorry that personal family matters limited your attendance.

Venue :

This was determined early on in the development phase, when all that existed were a few raw ideas ;-)

Alwyn (Jennings-Bramly) was working with me on the basic idea of the 'event' and suggested hie very local community - simply because he knew it had available all that we would require to deliver what we saw as the like outcome of our planning.

So Shrewton it was, and without Alwyn and wife Gay, the 'event' would have been impossible. Obviously, Gay was totally responsible for us being fed during the day, and for organizing and delivering the excellent BBQ on the Friday evening. the whole DevShare 'crowd' attended and had a really fun time. Best BBQ food I have ever had into the bargain.

Attendees :- (in no particular order) :

Alwyn Jennings-Bramly

John Parker

Phil Hepburn

Nick Tracy

Mike Pitcher

Pam Pitcher

Mike Bertenshaw

Dai Darkins

James Beard

Colin Newell

Robert vd Hulst

Bev Francis

Dave Francis

Chris Pyrgas

Peter Guetens

Dan Logan

Terry Bourne

Tim Shea

Dieter Crispien

Dennis Golding

Jeff Mowatt


Contents of DVD

There were two DVDs made for the 'event'. The first one will help new users to Vulcan get started, and has sample working code and solutions for a range of situations.

The second DVD has a whole host of free download web casts from Microsoft, which takes some considerable time and effort to download. The use of this second disk could save attendees a lot of their precious time.

DVD - One :

=====================================================================

DVD - Two :

==============================================================================================================================================


Sources of Materials

C# published books :-

Many available - thumbnails from Amazon ?

ClickStartVulcan.Net

MS downloads

http://www.microsoft.com/downloads/details.aspx?FamilyID=FE6F2099-B7B4-4F47-A244-C96D69C35DEC&displaylang=en

http://www.microsoft.com/downloads/details.aspx?FamilyID=F26B1AA4-741A-433A-9BE5-FA919850BDBF&displaylang=en

Grafx.Public.Vulcan.Pearls

GoVulcan


Books Recommended

There is a wealth of quality books on the market from which to choose.

Obviously, in order to take full advantage of these you need to be able to read and translate to Vulcan.NET from the C# code present in most, and to a lesser extent VB dotNet.

It is well worth investing some time to be able to read C# as this will open up many avenues to you later, as you develop your skills. And even save you time once you can read it.

Extra to these excellent C# texts, there are others on XML, XAML and SQL, which need other skills. But it is surprising how quickly one can assimilate these when they are opening up new ways to do things with Vulcan and dotNet. Also the learning curve for 'scripts' is much flatter than coming to terms with object programming, thankfully. So after 20 minutes at XML you can actually do something, and it works ;-)

Below are some of the books I have acquired in my bookshelf. I suggest you make out your Christmas list now, and circulate to family and friends ;-)

I am aware that AJB has enjoyed reading quite a wide variety of texts in order to prepare himself for writing his new Vulcan book which is well on the way to completion. he too rates learning enough C# to allow access to the content of such useful books as those shown below.

After the thumbnails see the individual book details needed for ordering and purchasing etc.

========================================================================================

Microsoft SQL Server 2005 (Bible)

{version for 2008 due Sept. 2009}

by Paul Nielsen

publisher Wiley

ISBN 0-7645-4256-7

Graphics Programming with GDI+

by Mahesh Chand

publisher Addison-Wesley

ISBN 0-321-16077-0

Data Binding with Windows Forms 2.0

by Brian Noyes

publisher Addison-Wesley

ISBN 13: 978-0-321-26892-1

ISBN 10: 0-321-26892-X

Windows Forms 2.0 Programming

by Chris Sells and Michael Weinhardt

publisher Addison-Wesley

======================================

Microsoft Visual C# 2008 (Step by Step)

[ eBook + exercises ]

by John Sharp

publisher Microsoft press

ISBN 13: 978-0-7356-2430-6

LINQ in Action

by Marguerie, Eichert & Wooley

published by Manning

ISBN 13: 978-1933988160

ISBN 10: 1933988169

Essential C# 3.0

by Mark Michaelis

publisher Addison-Wesley

ISBN 13: 978-0-321-53392-0

ISBN 10: 0-321-53392-5

Introducing Microsoft Silverlight 2

(second edition)

by Laurence Moroney

publisher Microsoft press

ISBN 13: 978-0-7356-2528-0

ISBN 10: 0-7356-2528-X

======================================

SQL in a Nutshell

by Kevin E. Kline

publisher O'Reilly

ISBN 13: 978-0596-00481-1

ISBN 10: 0-596-00481-1

Object Thinking

by David West

publisher Microsoft Press

ISBN 0-7356-1965-4

Introducing Microsoft LINQ

by Paolo Pialorsi & Marco Russo

publisher Microsoft Press

ISBN 13: 978-0-7356-2391-0

ISBN 10: 0-7356-2391-0

Learning XML

by Erik T. Ray

publisher O'Reilly

ISBN 10: 0-596-00420-6

ISBN 13: 978-0-596-00420-0

======================================

Windows Presentation Foundation (Unleashed)

by Adam Nathan

publisher Sams

ISBN 0-672-32891-7

XAML in a Nutshell

by Lori A. MacVittie

publisher O'Reilly

ISBN 0-596-52673-3

Essential Windows Presentation Foundation

by Chris Anderson

publisher Addison-Wesley

ISBN 13: 978-0-321-37447-9

ISBN 10: 0-321-37447-9

Microsoft SQL Server 2005 Express

(Teach Yourself - in 24 hours)

by Alison Balter

ISBN 0-672-32741-4

======================================

Microsoft Visual Studio Tips

by Sara Ford

publisher Microsoft Press

ISBN 13: 978-0-7356-2640-9

ISBN 10: 0-7356-2640-5

Windows Forms Programming in C#

by Chris Sells

publisher

Addison-Wesley

ISBN 0-321-11620-8

Microsoft Expression Blend

(Unleashed)

by Brennon Williams

publisher Sams

ISBN 13: 978-0-672-32931-9

ISBN 10: 0-672-32931-X

======================================


W3 Schools Web Site

Maybe an unexpected source of information on a whole range of useful and related topics can be found at :-

http://www.w3schools.com/

Paul Piko gave me the link, and helpful to me it certainly has been ;o) Thanks Paul.

Even the world of SQL is well catered for at this site. Check out the details below :-

===================================================================================================================================


How to use the DVD

Keep all of the DVD(s) safe for reference later. But also copy parts of them to your hard drive for regular use.

Yes, there were two DVDs prepared, although the first one has more material for the guys starting out.

Here is the folder structure of disk one :-

======================================================================

My image here may have the extra presenter folders (or at least not empty). The "extra bits" sent out to attendees after the 'event' were just these presenter files.

I have duplicated them onto disk two also, as shown below :-

========================================================================================================================================

Above is DVD 'two' - of the 'event' offering.

Its content is mainly a whole bunch of web casts which are from Microsoft (as free downloads) which help to enlighten the viewer on topics which are of interest to dotNet developers, and any who have already got a foothold into Vulcan coding.

It took a considerable time to download these web casts and so I am just trying to save time for interested friends and colleagues. It is pointless us all repeating the download process when time could be better spent in learning ;-)

Remember that Silverlight is "WPF everywhere", as it used to be called. And is a big part to employing cross browser techniques to using WPF at a distance. This is a crucial part of the dotNet programming model (or strategy) which MS is putting in place.

LINQ seems a big step forward in my eyes and pulls SQL style code into compiler checkable developer coding, as well as allowing one style of code to access many different data sources, even though it looks like SQL Server stuff. I for one am keen to take this on board as a major part of my development.

In his presentation of the Vulcan road map, or way ahead, Robert listed LINQ and the other parts needed to be in place to allow LINQ to be implemented. I was extremely happy to see these entries in his list. As a newcomer to SQL I was disturbed to see so much important code "outside" of the developer code, as it were. Experienced users of SQL are probably so used to what they do that they can't see the concerns I voice. Well, when LINQ comes along we will just have to see how things improve and develop. It promises much, let's just hope some of it sticks, at least.

Finally, don't forget that the more fundamental web casts and video training material is on disk one. Some stuff on WPF and the Expression Studio suite, as well as the SQL Server files. remember, Expression Blend2 (and 3) will be our friend when doing WPF projects. It is a powerful and well designed IDE for WPF windows.


What to Do First

If you are new to Vulcan and dotNet, make sure you gain as much access to the ClickStart knowledge library as possible. See the next section is setting up the V3 app to allow each of the available eNote sets to be consulted.

I suggest you use V3, and in web mode. Else V3 and local mode - or the separate CHM files from a specially setup folder.

Basically the ClickStart notes were my attempt to help myself, so that valuable development time and coding was not lost with time. It is all too easy to focus on some interesting and specific dotNet issue, develop some nice working tools or GUI, and then in time forget just exactly what you did etc. etc.

I use the ClickStart notes very regularly, and find they help me keep up to dotNet speed of creating new apps.

With V3 at your finger tips, make sure you have Visual Studio 2008 installed correctly, and the latest Vulcan install carried out too.

Now launch VS and turn the V3 tool to displaying the VS notes. Spend some time getting to know the VS environment, and let the eNotes guide you through the many facets of VS.

The VS eNotes are a full record of my learning experience, as guided by VOPS colleagues, and it has certainly got me into VS, enough to make me a survivor, and a productive user. Yes, I still have lots to learn, but now I enjoy using VS, as opposed to being terrified of it ;-)

Once you can survive in VS, and you have a working layout you find comfortable, then move on to focusing on creating Forms 2.0 'screens' in the Vulcan editor. I have to add this section to the VS eNotes, as when I did the main work last November (2008) the Vulcan VS integration was not sufficiently completed. With the recent 158 release it is, and so I will revisit this topic quite soon to make it available to me and any others interested.

Keep a look out in Pearls and the NG generally for news on improvements in any aspects of the ClickStart knowledge library.

See later sections to explain about Pearls, as well as how to get the Framework SDK.


Using the V3 App.

The volumes of eNotes in the "Click Start" series so far in development are listed below with the links to the web site versions of the original CHM files.

More will be forthcoming in the months and years ahead, so keep a look out in Pearls (Grafx public Vulcan Newsgroup) as well as on the http://www.ClickStartVulcan.net site itself.

Markups and Scripts :

http://www.ClickStartVulcan.Net/WebNotes/MarkupsAndScripts/ClickStartMnS.html

Drag and Drop :

http://www.ClickStartVulcan.Net/WebNotes/DragAndDrop/ClickStartDnD.html

SQL :

http://www.ClickStartVulcan.Net/WebNotes/SQL/ClickStartSQL.html

Visual Studio :

http://www.ClickStartVulcan.Net/WebNotes/VisualStudio/ClickStartVS.html

Reports and Printing :

http://www.ClickStartVulcan.Net/WebNotes/ReportsAndPrinting/ClickStartRnP.html

First - Vulcan.NET :

http://www.ClickStartVulcan.Net/WebNotes/FirstVDN/FirstVDN.html

Transform :

http://www.ClickStartVulcan.Net/WebNotes/TransformHTML/ClickStartTFM.html

To make life easier for you the applet called V3 (Vulcan Volume Viewer) has been created and the Visual Studio solution has been included on the 'event' DVD.

Below is an image of the version I used at DevShare - it has a local option because we had no internet connection. This too is available to you if you wish to use it.

However, I would suggest using the live connection 'flavour' so you can always access the most recent files and images. I keep making changes as I find more suitable material to share.

Copy the VS solution to your hard drive and double click the '.sln' file. Compile and run the app. I have now checked it out with Vulcan 158 and all works well.

I suggest you have this app running at all times when you are developing coded solutions. Have it displayed on a second screen if you have one.

See later how to use the CHM eNotes instead.


Video & Web Cast Training

================================================================================================================================================

==============================================================================================================================================


Other Video & Web Cast Material

I first got to know of "Total Training" after watching some sample sessions included on a DVD with some Microsoft boxed software package. Can't quite remember which, but quite a few have some useful 'starter' samples.

However, since my first trials, I have acquired more and more of their excellent learning material. At the moment they have many special offers coming along on a regular basis.

=================================================================================================================================

The supplier I have dealt with in the UK is Career Vision :-

===============================================================================================================================

The "Microsoft SQL Server Development" dual disk pack - hosted by Paul Nielsen - is a particularly easy and inexpensive way to get into SQL scripting on a solid and slightly more advanced level.

Another couple I have acquired and tried out are :-

Expression Web - hosted by Janine Warner, and "Visual Studio 2008" (Essentials) - hosted by Asli Bilgin.

I have even tried their annual subscription for direct download and viewing of a whole range of material, and this seems to be good value if you intend to do any serious training - BUT - you never have anything in your hand, and after 12 months you need to re-subscribe ;-)

I can see that physical DVD distribution may well give way entirely to web casting by most suppliers of support and training.

It seems to be a worthwhile strategy to keep visiting web sites for Microsoft and other main (or well known) software houses - since they are jumping on the band wagon of providing web cast support free of charge, for at least the initial start to using their offerings. I started to realise this when I acquired "Snagit" for example.

So now I always look for any web cast downloads from software suppliers.

It is even well worth thinking of making your own video material as support and training for your personal customers and clients. Some of our VOPS colleagues do this already.


Some Personal Tips

The few tips and ideas listed below are my own personal feelings, after going through the Vulcan and dotNet learning process for over two years. Some of them may help you.

These are not in any particular order :-

- for new code always use dotNet 'features' in place of VO ones

- don't use VO functions when you may use dotNet methods of the data type

- for new data storage use SQL in place of DBF

- try to maximize the under the cover use of XML, tapping into the 'rich' methods provided by dotNet for common classes

- for any new GUI screens use Forms 2.0, or even WPF, if at all possible

- never use USUAL type for data if at all possible - even with VO legacy code sections

- strongly type everything - wherever and whenever possible

- for new code always use 'DateTime' and not VO 'Date' data types

- always use dotNet data types whenever possible

- don't be alarmed by mixing array indices which are both 'zero' and 'one' based

[ it is a non-issue to me after 2 years, just remember to check-out limits of all new code for loops using indices ]

- it becomes second nature to mix index bases of 0 and 1

- when to use '.' and when to use ':' also becomes second nature

[ simple rule of thumb - ':' belongs to your code whereas '.' belongs to .NET ]

- get used to filling list controls with objects, and not simple data types

[ yes, we know all things are objects in dotNet, but, try not to use STRING and INT in these lists ]

- specify what is to be displayed in the list using a 'ToString' method which you create for the object class being listed

- try to use more events and handlers for Forms 2.0 than you did in VO

[ they are easy to use with practice, and can make your GUI much more interesting than that you probably used to create ]

- make an effort to use escape sequences for strings, and don't be ashamed to mix old CRLF and new '/n/t' styles

[ there are sometimes advantages to using both at different times ]

- get used to using (and mixing?) .OR. || .AND. && ... as this will help your reading of C# examples

- regularly practice reading C# code, and even regularly try to manually convert to Vulcan code

[ it is a worthwhile ability to be practiced in the art of C# to Vulcan code translation ]

- don't over "sub-class" .... many Classes have a complete enough range of methods and properties to not require as regular a degree of sub-classing as VO folk became used to previously

- have the SDK documentation always at hand for framework 3.5 - and get used to using it VERY regularly

- try to apply a coding style more based on 'copying and adapting' working sections as opposed to coding out of memory

[ this is particularly for dotNet sections - for example filling lists with objects ]

- get into the habit of ALWAYS using the intellisense features, and even exploring extra properties and methods this way

- for SQL returned data, use the approach where the data set is returned as a strongly typed DataTable, and use this to populate a DataGridView control


Other Support Material

As you progress through the levels of learning Vulcan and dotNet you will find you need a wider set of support resources.


Using the CHM Files Directly

An early alternative to having the V3 tool, and running it on the desktop full time, was to have the a folder with icons for each of the CHM files in the series.

I used to attach version numbers to help my management, but this has gone with the introduction of the V3 tool.

The individual CHM files can still be downloaded directly from the http://www.ClickStartVulcan.Net site as well as by using the direct links listed later in this section.

Note that in my folder for using VIDE I also have the icons for launching the Framework SDK. See a couple of sections later for a short discussion about this.

The latest version of the CHM files were included on this DVD and the folders look like those shown below :-

==================================================================================================================================

Above we can see the Drag and Drop 'flavour' of CHM, in the relevant folder.

I suggest you copy these to your HDD and run then from there.

Obviously, the version of each CHM may need to be updated from time to time, as changes are made to the masters by myself. This is obviously where a live web link via the V3 tool wins out, but a CHM may be run on a laptop without internet connection. (Swings and roundabouts !)


Pearls Postings

GrafX have had a newsgroup called "Pearls" for well over a year to date. I think it was started at the end of October 2007. Since then many postings have been made - many hundreds.

I think the early postings may no longer be available, and I feel that server tidying may take place from time to time also.

For these reasons, and a few more, I have been saving batches of postings from time to time. On the 'event' DVD are three sub-folders of the "PearlsPostings" main folder.

All I can say about the files offered to you is that I can access them as shown on my Vista platforms. I hope you can too.

Good Luck.

=========================================================================================================================================================================================

There are some interesting and useful snippets included in these, and as yet some have to be written up and used elsewhere, so we must preserve the details ;O)


Framework SDK downloads

Remember, anyone working with dotNet needs to be virtually permanently in the SDK notes. You need to cultivate the skill - it takes time, but it is rewarding.

For many months, in early days, I used to use SDK for 2.0 but now have migrated to using SDK for 3.5 almost the whole time. I do keep both however, as there is a difference in structure and layout.

I thoroughly recommend you download both and have icons available on your desktop / working folder.

http://www.microsoft.com/downloads/details.aspx?FamilyID=FE6F2099-B7B4-4F47-A244-C96D69C35DEC&displaylang=en

===========================================================================================================================================================

http://www.microsoft.com/downloads/details.aspx?FamilyID=F26B1AA4-741A-433A-9BE5-FA919850BDBF&displaylang=en

==============================================================================================================================================================

Even though I have VS and the Help etc. I still like to use the SDK as a separate tool / app. quite often.


Where to go from Here


Session Presentations

Enter topic text here.


Alwyn Jennings-Bramly


Colin Newell


Dieter Crispien


Mike Pitcher


Robert van der Hulst


Terry Bourne

"Things within Things" !

Related :-

XcEEd - this folder has a link to a WPF data grid tool. Look out the details so you are aware.


How to Get Help

Framework SDK 2.0, 3.5 etc.

try to find and supply links.


Getting into Visual Studio


Getting into VIDE

================================================================================================================================


Using and Running a VS Solution

=======================================================================================================================================================


Programming Aspects

In this section I have included a few working solutions which have mainly been converted form the originals which were created in VIDE.

For this reason and because time was pressing before DevShare, some 'ends' may not be as tidy as I would like. However, if you wanted a range of types of working VS solutions then this is one aspect you need to just live with.

I am thinking mainly that form control 'anchor' properties have not been fully transferred to the properties fields in the properties pane in VS, so when forms are resized the correct handling that was there in the VIDE version has been lost.

Most of the main functionality of most of the apps included is there to see and use. However, the image and graphics apps do have some missing functionality because of time limitations to do the conversion from VIDE.

For example the scanning facility is missing, as is the sizing options in the image app.

In the First Paint app, forms to allow brush selection, and also do colour transformation have not been added.

You need to appreciate that there are many lines of working Vulcan code which demonstrates a wide variety of techniques, and these will aid you develop your own new apps.

Good Luck.


Combo Box - some Useful Tricks


Printers and Printing


Images and Graphics

===================================================================================================================================

===================================================================================================================================


Zipping from Your Own Code

A working example of an app using zip facilities is shown in the next sub-section on emailing.

However, we need to briefly discuss what is required in order for you to be able to add zip facilities to your own apps.

let us look at the folder structure of the ZeeMail app, with the files available :-

==================================================================================================================================================================

Notice the '.dll' file named "ICSharpCode.SharpZipLib".

This file is used by the Vulcan code as an assembly. The Vulcan code in '.prg' file entitled "CIOZip" is also required.

See the full solution as shown in the explorer pane :-

And now see the collapsed form of the CIOZip file :-

=========================================================================================================================================================

The file contains the single class "CIOZip" which was passed to me through a few VOPS colleagues' hands. One friend converted the language from Italian I seem to recall, and then I changed things so as to replace the VO functions with dotNet style code.

All we need to do is see what the Vulcan code looks like to zip up a bunch of files, and the extract from a zip file.

First of all lets look at how to use a list of file names to create a zip file, and then display in a message box what has been zipped.

Notice that the file names originate in an ArrayList object, which has be created dynamically, prior to this code section :-

==========================================================================================================================

Simply, the method "ZipFileArray()" does the work, once an array of strings has been supplied.

For a single file, "ZipFile()" is required, and if the zip is being added to at various points in the code, then "AddOneFileToZip()" is needed also.

This is all pretty easy really, since we have already seem that we used "ShowFilesInZip()" to display our list in the message box.

Finally, we need to see how to unzip. View the Vulcan code below :-

========================================================================================================================

We appear to just need to supply genuine and correct data to the "UnZip()" method.

The separate unzipped files will appear in the destination folder, with the filenames used at the time of the zipping process.

I suggest you now give this all a whirl yourself, just to get a feel for what is required - Good Luck !


Emailing Basics

This email app sends messages as well as attaching a zipped up file of a number of files.

Files are selected singly, and then the chosen set is zipped ready for sending :-

Once all the details have been entered, a summary of what will be sent is printed on a preview screen.

Notice that you need to check the relevant box in order to send a attachment, and this too is shown in the summary screen :-

A further facility allows a mailbox to be read and details of the set of messages available in that box shown on an appropriate form.

Potential problems :-

As we all know email app either work or they don't. Usually failure is because the correct connection details are not being supplied.

I have not supplied my details for obvious reasons, so you will need to get those for your box, and use them for this app.

Good Luck ;-)


Zed Graph - Code and Applets

===================================================================================================================


Drag and Drop - Enhance your Apps.

=========================================================================================================================


DBF files, transform to SQL tables

===================================================================================================================================

===================================================================================================================================


SQL demo app


Nulls - Getting to Grips

==========================================================================================


WPF - first demo app

==========================================================================================================================================================================


Data Binding - a Start


Getting into SQL

I recommend getting to grips with SQL and ADO.NET as soon as you are able.

Since a lot of effort has gone into preparing the relevant material on this DVD to aid any new starter, you should not delay any longer.

Hopefully, you will not need to take anything like as long as me to be able to code Vulcan Classes and Methods, and get suitable results.

The present free SQL Server 2008 Express download is faster to both acquire and install than when I first wrote the CHM eNotes on SQL.

Follow these through and you should find you get to success - somewhere along the line. However, like a lot of things related to Vulcan and dotNet, you need to put in some time, and not a little effort!

The support notes are to keep you on course, and to stop you wasting time going in the wrong direction.

I found the free video casts by Bob Tabor very helpful indeed. And I believe Alwyn watched them also when he got going.

Since I started SQL I have found the extra notes on the W3Schools site and suggest you give these a good go when you come to learning the SQL Script syntax, and how to think in terms of sets. See the earlier sub-section entry under "Sources of Materials".

If the SQL section is as good as the rest of this site I have used - and I have read quite extensively - the it ought to teach you a great deal.

Although the material I provide on the DVD ought to allow you to make progress and get success, I do suggest you try to view the Total Training videos on SQL 2005 by Paul Nielsen. They are extensive and of high quality, simply because he knows his stuff through and through, as well as being enthusiastic.

I also recommend his 'red' Bible on the topic - see the "Books recommended" sub-section at the beginning of these notes.

In order to study some of the learning material you will need access to the AdventureWorks database - this is included along with a few others, in the next section entitled "Supplied Data Bases".

Lastly, don't forget that the SQL notes in ClickStart are a complete record of what I needed to do to get into SQL and what I managed to get working in Vulcan. If you spend some time to work through them then you will indeed succeed.


Supplied Data Bases

Top Previous

============================================================================================================================================================================================